dlascl2.f(3)

NAME
dlascl2.f

SYNOPSIS

  Functions/Subroutines
subroutine dlascl2 (M, N, D, X, LDX)
DLASCL2 performs diagonal scaling on a vector.

Function/Subroutine Documentation

  subroutine dlascl2 (integer M, integer N, double precision, dimension( * ) D, double precision, dimension( ldx, * ) X, integer LDX)

Purpose:

     DLASCL2 performs a diagonal scaling on a vector:
       x <-- D * x
     where the diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_dge_diag_scale in the new BLAS
     standard.

Parameters
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of X. N >= 0.

    D

              D is DOUBLE PRECISION array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is DOUBLE PRECISION array, dimension (LDX,N)
         On entry, the vector X to be scaled by D.
         On exit, the scaled vector.

    LDX

              LDX is INTEGER
         The leading dimension of the vector X. LDX >= M.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file dlascl2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.